<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">

    <div v-if="!isEditing">
        <input type="text" v-model="name" />
        <input type="submit" value="Add" @click="storeName" />
    </div>
    <div v-else>
        <input type="text" v-model="name" />
        <input type="submit" value="Update" @click="updateName" />
    </div>
    
    <br><br>

        <li v-for="(name, index) in names">
            {{ name }} &nbsp;&nbsp;
            <button @click="editName(index, name)">Edit</button>
            &nbsp;&nbsp;||&nbsp;&nbsp;
            <button @click="removeName(index)">Delete</button>
            <br><br>
        </li>
    
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
        isEditing: false,
        selectedName: null,
        name: "",
        names : [
            'Aditya Noor Fauzi',
            'Muhammad Iqbal Mubarok',
        ]
      },
      computed: {

    },
    methods: {
          storeName() {
            this.names.push(this.name);
            this.name = "";
          },

          removeName(index) {

            if(confirm("Do you really want to delete?")){
                    this.names.splice(index, 1);
            }

          },

          updateName() {
            this.names.splice(this.selectedIndex, 1, this.name);
            this.name = "";
            this.isEditing = false;
          },

          editName(index, name) {
            this.isEditing = true;
            this.name = name;
            this.selectedIndex = index;
          },
        },
  })
  </script>
</body>
</html>